Name:           libfap
Version:        1.0
Release:        3%{?dist}
Summary:        An APRS parser written in C

Group:          Applications/Communications
License:        GPL+ or Artistic
URL:            http://pakettiradio.net/libfap/
Source0:        http://pakettiradio.net/downloads/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
libfap is an APRS (Amateur Packet Reporting System) parser that can decode
normal, mic-e and compressed location packets, NMEA location packets, 
objects, items, messages, telemetry and most weather packets.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README THANKS licenses/*.txt
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Fri Jan 21 2011 Andrew Elwell <Andrew.Elwell@gmail.com> - 1.0-3
- Added make check to spec

* Fri Jan 21 2011 Andrew Elwell <Andrew.Elwell@gmail.com> - 1.0-2
- Removed duplicate docs
- Improved wording of summary and description

* Thu Jan 20 2011 Andrew Elwell <Andrew.Elwell@gmail.com> - 1.0-1
- New upstream release on 2010-01-17

* Wed Jan 12 2011 Andrew Elwell <Andrew.Elwell@gmail.com> - 0.9-1
- Initial package for Fedora
